
Sistema de Adquisición para Instrumentos Geofísicos - Task #275

Milestone # 54 (New): Revisión y Desarrollo de HW

Task # 271 (Closed): Desarrollo de programador XMEGA

Programador USBASP(Arduino) with AVRDUDE

11/19/2015 10:57 AM - Luis Gonzáles

Status: Closed Start date: 11/02/2015

Priority: Normal Due date: 11/16/2015

Assignee: Luis Gonzáles % Done: 100%

Category:  Estimated time: 72.00 hours

Target version: Versión 1.0 Spent time: 72.00 hours

Description

Programador PDI usando un Arduino como USBASP y el AVRDUDE. Ambos elementos fueron adaptados para soportar el protocolo

PDI siguiendo un tutorial en Internet.

History

#1 - 11/19/2015 11:04 AM - Luis Gonzáles

1.- En esta tarea se completaron todos los pasos pero no se lego a mas que a la inicializacion correcta del dispositivo.

Al intentar corregir el error observado de rc=-1 se soldaron diodos Zener de 3.6VDC a la entrada del USB pero se perdio la incializacion.

2.- Se probo tambien una version de hardware AVR 51 ISP del USBASP pero no se llego ni a la inicializacion.

3.- Observando las tramas en un osciloscopio se noto que algunos tiempos duraban mas de lo previsto en el codigo.

4.- Se disenho una version a 3.3VDC y todos los elementos iguales a un USBSAS LCChina.

#2 - 01/05/2016 08:06 AM - Luis Gonzáles

- Status changed from New to Closed

- % Done changed from 50 to 100

Se realizaron los pasos sugeridos en los tutoriales pero el USBASP sólo consigue programar microcontroladores de la familia MEGA.

Se descartó esta opción pues la implementación siguiendo el Application Note del PDI funcionó.
